Package com.macrofocus.filter

# Class AbstractFilter<E>

java.lang.Object
com.macrofocus.filter.AbstractFilter<E>

All Implemented Interfaces:
  `Filter<E>`, `MutableFilter<E>`

Direct Known Subclasses:
  `AbstractMutableFilter`, `AbstractMutableIndexFilter`

public abstract class AbstractFilter<E> extends Object implements MutableFilter<E>
This class provides a skeletal implementation of the Filter interface to minimize the effort required to implement this interface.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFilterListener(FilterListener<E> listener)`
  Add a listener to the list that's notified each time a change to the filter occurs.
  `void`
  `addWeakFilterListener(FilterListener<E> listener)`
  Add a listener to the list that's notified each time a change to the filter occurs.
  `boolean`
  `isEnabled()`
  `protected void`
  `notifyFilteredChanged(FilterEvent<E> event)`
  `void`
  `removeFilterListener(FilterListener<E> listener)`
  Remove a listener to the list that's notified each time a change to the filter occurs.
  `void`
  `removeFilterListeners()`
  Remove all listeners to the list that's notified each time a change to the selection occurs.
  `void`
  `setEnabled(boolean enabled)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.filter.Filter

  `getFilteredCount, isActive, isFiltered, isFilteredBy`

  ### Methods inherited from interface com.macrofocus.filter.MutableFilter

  `clearFilter, clearFilterBy, setFiltered, setFilteredIterable, setFilteredState`

- ## Constructor Details

  - ### AbstractFilter

    public AbstractFilter()

- ## Method Details

  - ### isEnabled

    public boolean isEnabled()
    Specified by:
      `isEnabled` in interface `Filter<E>`

  - ### setEnabled

    public void setEnabled(boolean enabled)
    Specified by:
      `setEnabled` in interface `MutableFilter<E>`

  - ### addFilterListener

    public void addFilterListener(FilterListener<E> listener)
    Description copied from interface: `Filter`
    Add a listener to the list that's notified each time a change to the filter occurs.
    Specified by:
      `addFilterListener` in interface `Filter<E>`
    Parameters:
      `listener` - the SelectionListener

  - ### addWeakFilterListener

    public void addWeakFilterListener(FilterListener<E> listener)
    Description copied from interface: `Filter`
    Add a listener to the list that's notified each time a change to the filter occurs. The listener will automatically be disposed of should no other object have a reference to it.
    Specified by:
      `addWeakFilterListener` in interface `Filter<E>`
    Parameters:
      `listener` - the SelectionListener

  - ### removeFilterListener

    public void removeFilterListener(FilterListener<E> listener)
    Description copied from interface: `Filter`
    Remove a listener to the list that's notified each time a change to the filter occurs.
    Specified by:
      `removeFilterListener` in interface `Filter<E>`
    Parameters:
      `listener` - the SelectionListener

  - ### removeFilterListeners

    public void removeFilterListeners()
    Description copied from interface: `Filter`
    Remove all listeners to the list that's notified each time a change to the selection occurs.
    Specified by:
      `removeFilterListeners` in interface `Filter<E>`

  - ### notifyFilteredChanged

    protected void notifyFilteredChanged(FilterEvent<E> event)